# Class DataOptionKey<T>

Object
OptionKey<T>
DataOptionKey<T>

Type Parameters:
  `T` - the type of option values.

All Implemented Interfaces:
  `Serializable`

public final class DataOptionKey<T> extends OptionKey<T>
Keys in a map of options for configuring the way data are read or written to a storage. `DataOptionKey` extends `OptionKey` with options about features, coverages or other kinds of structure that are specific to some data formats.

Since:
  1.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OptionKey<CoverageModifier>`
  `COVERAGE_MODIFIER`
  Callback methods invoked for modifying some aspects of the grid coverages created by resources.
  `static final OptionKey<FoliationRepresentation>`
  `FOLIATION_REPRESENTATION`
  Whether to assemble trajectory fragments (distinct CSV lines) into a single `Feature` instance forming a foliation.
  `static final OptionKey<Path>`
  `METADATA_PATH`
  Path to an auxiliary file containing metadata encoded in an ISO 19115-3 XML document.
  `static final OptionKey<StoreListeners>`
  `PARENT_LISTENERS`
  The listeners to declare as the parent of the data store listeners.

  ### Fields inherited from class OptionKey

  `BYTE_BUFFER, DEFAULT_CRS, ENCODING, GEOMETRY_LIBRARY, INDENTATION, LOCALE, OPEN_OPTIONS, TIMEZONE, URL_ENCODING`

- ## Method Summary

  ### Methods inherited from class OptionKey

  `equals, getElementType, getName, getValueFrom, hashCode, setValueInto, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### METADATA_PATH

    public static final OptionKey<Path> METADATA_PATH
    Path to an auxiliary file containing metadata encoded in an ISO 19115-3 XML document. The given path, if not absolute, is relative to the path of the main storage file. If the file exists, it is parsed and its content is merged or appended after the metadata read by the storage. If the file does not exist, then it is ignored.

    #### Wildcard

    It the `'*'` character is present in the path, then it is replaced by the name of the main file without its extension. For example if the main file is `"city-center​.tiff"`, then `"*.xml"` will become `"city-center​.xml"`.
    Since:
      1.5

  - ### FOLIATION_REPRESENTATION

    public static final OptionKey<FoliationRepresentation> FOLIATION_REPRESENTATION
    Whether to assemble trajectory fragments (distinct CSV lines) into a single `Feature` instance forming a foliation. This is ignored if the file does not seem to contain moving features.
    Since:
      1.0

  - ### PARENT_LISTENERS

    public static final OptionKey<StoreListeners> PARENT_LISTENERS
    The listeners to declare as the parent of the data store listeners. This option can be used when the `DataStore` to open is itself a child of an `Aggregate`.
    Since:
      1.3

  - ### COVERAGE_MODIFIER

    public static final OptionKey<CoverageModifier> COVERAGE_MODIFIER
    Callback methods invoked for modifying some aspects of the grid coverages created by resources.
    Since:
      1.5